{
  "graph": {
    "edges": [
      {
        "from": "mgf-alembic",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-alembic",
        "kind": "depends_on",
        "to": "mgf-sqlalchemy"
      },
      {
        "from": "mgf-alembic",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-apiprobe",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-apiprobe",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-auth",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-auth",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-brand-web",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-brand-web",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-brand-web",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-cloud",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-cloud",
        "kind": "depends_on",
        "to": "mgf-fastapi"
      },
      {
        "from": "mgf-cloud",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-cloud",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-cloud-provision",
        "kind": "depends_on",
        "to": "mgf-cloud"
      },
      {
        "from": "mgf-cloud-provision",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-cloud-provision",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-cloud-provision",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-brand-web"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-cloud"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-fastapi"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-cloud-web",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-common",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-common",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-common-identity",
        "kind": "depends_on",
        "to": "mgf-hrb-kabi"
      },
      {
        "from": "mgf-common-identity",
        "kind": "depends_on",
        "to": "mgf-hrb-model"
      },
      {
        "from": "mgf-django",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-django",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-fastapi",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-fastapi",
        "kind": "depends_on",
        "to": "mgf-livepush"
      },
      {
        "from": "mgf-fastapi",
        "kind": "depends_on",
        "to": "mgf-sqlalchemy"
      },
      {
        "from": "mgf-fastapi",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-fed",
        "kind": "depends_on",
        "to": "mgf-cloud"
      },
      {
        "from": "mgf-fed",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-fed",
        "kind": "depends_on",
        "to": "mgf-logship"
      },
      {
        "from": "mgf-fed",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-fed",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-fed-web",
        "kind": "depends_on",
        "to": "mgf-brand-web"
      },
      {
        "from": "mgf-fed-web",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-fed-web",
        "kind": "depends_on",
        "to": "mgf-fedres"
      },
      {
        "from": "mgf-fed-web",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-fedres",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-fedres",
        "kind": "depends_on",
        "to": "mgf-standard"
      },
      {
        "from": "mgf-fedres",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-hrb",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-hrb",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-hrb-cap",
        "kind": "depends_on",
        "to": "mgf-hrb-kabi"
      },
      {
        "from": "mgf-hrb-cap",
        "kind": "depends_on",
        "to": "mgf-hrb-model"
      },
      {
        "from": "mgf-hrb-kabi",
        "kind": "depends_on",
        "to": "mgf-hrb-model"
      },
      {
        "from": "mgf-hrb-rt",
        "kind": "depends_on",
        "to": "mgf-hrb-model"
      },
      {
        "from": "mgf-http",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-http",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-livepush",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-livepush",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-logship",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-logship",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-sqlalchemy",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-sqlalchemy",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-tele-core",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-tele-core",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-tele-teltonika",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-tele-teltonika",
        "kind": "depends_on",
        "to": "mgf-tele-core"
      },
      {
        "from": "mgf-tele-teltonika",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-test-supervisor",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-test-web",
        "kind": "depends_on",
        "to": "mgf-brand-web"
      },
      {
        "from": "mgf-test-web",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-test-web",
        "kind": "depends_on",
        "to": "mgf-fedres"
      },
      {
        "from": "mgf-test-web",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-core",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-core",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-firecracker",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-firecracker",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-firecracker",
        "kind": "depends_on",
        "to": "mgf-vm-core"
      },
      {
        "from": "mgf-vm-forensics",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-forensics",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-forensics",
        "kind": "depends_on",
        "to": "mgf-vm-core"
      },
      {
        "from": "mgf-vm-interchange",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-interchange",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-interchange",
        "kind": "depends_on",
        "to": "mgf-vm-core"
      },
      {
        "from": "mgf-vm-libvirt",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-libvirt",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-libvirt",
        "kind": "depends_on",
        "to": "mgf-vm-core"
      },
      {
        "from": "mgf-vm-sdk",
        "kind": "depends_on",
        "to": "mgf-common"
      },
      {
        "from": "mgf-vm-sdk",
        "kind": "depends_on",
        "to": "mgf-test-supervisor"
      },
      {
        "from": "mgf-vm-sdk",
        "kind": "depends_on",
        "to": "mgf-vm-core"
      },
      {
        "from": "mgf-vm-sdk",
        "kind": "depends_on",
        "to": "mgf-vm-libvirt"
      }
    ],
    "layers": [
      "python",
      "template",
      "zig"
    ],
    "nodes": [
      {
        "id": "mgf-alembic",
        "label": "mgf-alembic",
        "layer": "python"
      },
      {
        "id": "mgf-apiprobe",
        "label": "mgf-apiprobe",
        "layer": "python"
      },
      {
        "id": "mgf-auth",
        "label": "mgf-auth",
        "layer": "python"
      },
      {
        "id": "mgf-brand-web",
        "label": "mgf-brand-web",
        "layer": "python"
      },
      {
        "id": "mgf-cloud",
        "label": "mgf-cloud",
        "layer": "python"
      },
      {
        "id": "mgf-cloud-provision",
        "label": "mgf-cloud-provision",
        "layer": "python"
      },
      {
        "id": "mgf-cloud-web",
        "label": "mgf-cloud-web",
        "layer": "python"
      },
      {
        "id": "mgf-common",
        "label": "mgf-common",
        "layer": "python"
      },
      {
        "id": "mgf-common-identity",
        "label": "mgf-common-identity",
        "layer": "zig"
      },
      {
        "id": "mgf-common-zig",
        "label": "mgf-common-zig",
        "layer": "zig"
      },
      {
        "id": "mgf-django",
        "label": "mgf-django",
        "layer": "python"
      },
      {
        "id": "mgf-fastapi",
        "label": "mgf-fastapi",
        "layer": "python"
      },
      {
        "id": "mgf-fed",
        "label": "mgf-fed",
        "layer": "python"
      },
      {
        "id": "mgf-fed-web",
        "label": "mgf-fed-web",
        "layer": "python"
      },
      {
        "id": "mgf-fedres",
        "label": "mgf-fedres",
        "layer": "python"
      },
      {
        "id": "mgf-hrb",
        "label": "mgf-hrb",
        "layer": "python"
      },
      {
        "id": "mgf-hrb-cap",
        "label": "mgf-hrb-cap",
        "layer": "zig"
      },
      {
        "id": "mgf-hrb-kabi",
        "label": "mgf-hrb-kabi",
        "layer": "zig"
      },
      {
        "id": "mgf-hrb-model",
        "label": "mgf-hrb-model",
        "layer": "zig"
      },
      {
        "id": "mgf-hrb-rt",
        "label": "mgf-hrb-rt",
        "layer": "zig"
      },
      {
        "id": "mgf-http",
        "label": "mgf-http",
        "layer": "python"
      },
      {
        "id": "mgf-livepush",
        "label": "mgf-livepush",
        "layer": "python"
      },
      {
        "id": "mgf-logship",
        "label": "mgf-logship",
        "layer": "python"
      },
      {
        "id": "mgf-sqlalchemy",
        "label": "mgf-sqlalchemy",
        "layer": "python"
      },
      {
        "id": "mgf-standard",
        "label": "mgf-standard",
        "layer": "python"
      },
      {
        "id": "mgf-tele-core",
        "label": "mgf-tele-core",
        "layer": "python"
      },
      {
        "id": "mgf-tele-teltonika",
        "label": "mgf-tele-teltonika",
        "layer": "python"
      },
      {
        "id": "mgf-test-supervisor",
        "label": "mgf-test-supervisor",
        "layer": "python"
      },
      {
        "id": "mgf-test-web",
        "label": "mgf-test-web",
        "layer": "python"
      },
      {
        "id": "mgf-vm-core",
        "label": "mgf-vm-core",
        "layer": "python"
      },
      {
        "id": "mgf-vm-firecracker",
        "label": "mgf-vm-firecracker",
        "layer": "python"
      },
      {
        "id": "mgf-vm-forensics",
        "label": "mgf-vm-forensics",
        "layer": "python"
      },
      {
        "id": "mgf-vm-interchange",
        "label": "mgf-vm-interchange",
        "layer": "python"
      },
      {
        "id": "mgf-vm-libvirt",
        "label": "mgf-vm-libvirt",
        "layer": "python"
      },
      {
        "id": "mgf-vm-sdk",
        "label": "mgf-vm-sdk",
        "layer": "python"
      },
      {
        "id": "mgf-website-template",
        "label": "mgf-website-template",
        "layer": "template"
      }
    ]
  },
  "kind": "architecture",
  "mode": "graph",
  "project": "mgf-standard",
  "schema_version": "0.1"
}
